## Apache Zeta Components Manual :: Docs For Class ezcSearchDefinitionManager

### Search::ezcSearchDefinitionManager

### Interface ezcSearchDefinitionManager

Defines the interface for all persistent object definition managers.

Definition managers are used to fetch the definition of a specific persistent object. The definition is returned in form of a ezcSearchDocumentDefinition structure.

Source for this file: /Search/src/interfaces/definition_manager.php

Version: | //autogen//

### Method Summary

public ezcSearchDocumentDefinition | `fetchDefinition( $type )` Returns the definition of the document type $type.

### Methods

#### fetchDefinition

ezcSearchDocumentDefinition fetchDefinition( string $type )

Returns the definition of the document type $type.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | string |

##### Exceptions:

Type | Description
--- | ---
`ezcSearchDefinitionNotFoundException` | if no such definition can be found.

Documentation generated by phpDocumentor 1.4.3